from pydantic_settings import BaseSettings

class Settings(BaseSettings):
    EMBEDDING_DIM: int = 768           # 嵌入维度（取决于模型）
    TOP_K: int = 5                      # 默认检索 top K 个段落
    DOC_PATH: str = "docs/"            # 默认文档根目录
    DEVICE: str = "cuda"                # 可改为 "cuda" 使用 GPU
    MODEL_NAME: str = "BAAI/bge-m3"    # 多语种语义嵌入模型

settings = Settings()
